//
//  Scene.h
//  prog2
//
//  Created by Neil Killeen on 6/3/13.
//  Copyright (c) 2013 Neil Killeen. All rights reserved.
//

#ifndef __prog2__Scene__
#define __prog2__Scene__

#include <iostream>
#include <vector>
#include "Mesh.h"
#include "Angel.h"

using std::vector;
using namespace Angel;

class Scene {
public:
    void AddObject(Mesh* that) { Objects.push_back(that); }
    void RemoveObject(const int &index) { if (index < Objects.size()) Objects.erase(Objects.begin()+index); }
//    void AddLight(Light* that) { Objects.push_back(that); }
//    void RemoveLight(const int &index) { if (index < Lights.size()) Lights.erase(Lights.begin()+index); }
private:
    vector<Mesh*> Objects;
    //vector<Light*> Lights;
    Mesh* m_selected;
};

#endif /* defined(__prog2__Scene__) */
